## org.eclipse.datatools.connectivity.oda.util.manifest
Class RuntimeInterface

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.RuntimeInterface

Direct Known Subclasses:
  JavaRuntimeInterface

public abstract class RuntimeInterface
extends java.lang.Object

Encapsulates the runtime interface specific configurations of an ODA driver that implements a data source extension.

Field Summary
`static int` `C_TYPE` Implements C/C++ runtime interface.
`static int` `JAVA_TYPE` Implements Java runtime interface.

Constructor Summary
`RuntimeInterface()`

Method Summary
`abstract java.net.URL` `getDriverFileLocation(java.lang.String filename)` Returns the driver file location for the current OS platform.
`abstract int` `getInterfaceType()` Returns the interface type of the runtime.
`abstract java.lang.String[]` `getLibraries()` Returns the list of libraries for the current OS platform.
`abstract java.net.URL` `getLibraryLocation()` Returns the library location for the current OS platform.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### C_TYPE

    public static final int C_TYPE

  Implements C/C++ runtime interface.

  See Also:
    Constant Field Values

### JAVA_TYPE

    public static final int JAVA_TYPE

  Implements Java runtime interface.

  See Also:
    Constant Field Values

Constructor Detail

### RuntimeInterface

    public RuntimeInterface()

Method Detail

### getInterfaceType

    public abstract int getInterfaceType()

  Returns the interface type of the runtime. Either RuntimeInterface.C_TYPE or RuntimeInterface.JAVA_TYPE.

  Returns:
    runtime interface type: RuntimeInterface.C_TYPE or RuntimeInterface.JAVA_TYPE.

### getLibraryLocation

    public abstract java.net.URL getLibraryLocation()
                                             throws java.io.IOException

  Returns the library location for the current OS platform.

  Returns:
    the library location URL.
  Throws:
    `java.io.IOException` - if an IO error occurs.

### getDriverFileLocation

    public abstract java.net.URL getDriverFileLocation(java.lang.String filename)
                                                throws java.io.IOException

  Returns the driver file location for the current OS platform.

  Parameters:
    `filename` - the name of the driver file.
  Returns:
    the driver file location URL.
  Throws:
    `java.io.IOException` - if an IO error occurs.

### getLibraries

    public abstract java.lang.String[] getLibraries()

  Returns the list of libraries for the current OS platform.

  Returns:
    the list of libraries.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.